Pod::Eventual::Simple(3)

NAME
Pod::Eventual::Simple - just get an array of the stuff Pod::Eventual finds

VERSION
version 0.093330

SYNOPSIS
  use Pod::Eventual::Simple;

  my $output = Pod::Eventual::Simple->read_file('awesome.pod');

This subclass just returns an array reference when you use the reading methods. The arrayref contains all the Pod events and non-Pod content. Non-Pod content is given as hashrefs like this:

  {
    type       => 'nonpod',
    content    => "This is just some text\n",
    start_line => 162,
  }

For just the POD events, grep for "type" not equals "nonpod"

AUTHOR
  Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2009 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.